Name:           mousepad
Version:        0.2.6
Release:        1%{?dist}
Summary:        Mousepad - A simple text editor for Xfce

Group:          Applications/Editors
License:        GPL
URL:            http://xfce.org/
Source0:        http://www.xfce.org/archive/xfce-4.3.90.2/src/mousepad-0.2.6.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libxfcegui4-devel
BuildRequires: perl(XML::Parser)
BuildRequires: gettext
BuildRequires: desktop-file-utils

%description
Mousepad is a text editor for Xfce based on Leafpad. The initial reason for
Mousepad was to provide printing support, which would have been difficult
for Leafpad for various reasons.

Although some features are under development, currently Mousepad has folowing
features:

    * Complete support for UTF-8 text
    * Cut/Copy/Paste and Select All text
    * Search and Replace
    * Font selecton
    * Word Wrap
    * Character coding selection
    * Auto character coding detection (UTF-8 and some codesets)
    * Manual codeset setting
    * Infinite Undo/Redo by word
    * Auto Indent
    * Multi-line Indent
    * Display line numbers
    * Drag and Drop
    * Printing

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

rm -f ${RPM_BUILD_ROOT}%{_datadir}/applications/mousepad.desktop

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        %{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README NEWS TODO COPYING
%{_bindir}/mousepad 
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/* 

%changelog
* Sun Aug 27 2006 Kevin Fenzi <kevin@tummy.com> - 0.2.6-1
- Inital package for fedora extras

